package cn.com.qmth.stmms.biz.mark.model;

import java.io.Serializable;

public class SpecialTagDTO implements Serializable {

    private static final long serialVersionUID = -5424015292124065736L;

    private String tagName;

    private Double positionX;

    private Double positionY;

    public SpecialTagDTO() {

    }

    public MarkSpecialTag transform(MarkLibrary library) {
        MarkSpecialTag markSpecialTag = new MarkSpecialTag();
        markSpecialTag.setLibraryId(library.getId());
        markSpecialTag.setTagName(tagName);
        markSpecialTag.setPositionX(positionX);
        markSpecialTag.setPositionY(positionY);
        return markSpecialTag;
    }

    public TrialTag transform(TrialHistory history) {
        TrialTag tag = new TrialTag();
        tag.setLibraryId(history.getLibraryId());
        tag.setMarkerId(history.getMarkerId());
        tag.setContent(tagName);
        tag.setPositionX(positionX);
        tag.setPositionY(positionY);
        return tag;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }

    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }
}
